Bug 1582648 - dnf search output is sorted by line length, not by name
Summary: dnf search output is sorted by line length, not by name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicola Sella
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1811461 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-25 20:17 UTC by Robbie Harwood
Modified: 2020-06-19 01:05 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.23-1.fc32 dnf-4.2.23-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-05 02:29:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Robbie Harwood 2018-05-25 20:17:52 UTC
I think this might be specific to the "Summary & Name Matched" section, but the packages are sorted oddly.  Observe:

root@seton:/ FEDORA # dnf search chroot
Última comprobación de caducidad de metadatos hecha hace 0:45:44, el vie 25 may 2018 19:31:14 UTC.
================================ Coincidencia en Resumen, Nombre: chroot ================================
fakechroot-libs.i686 : Libraries of fakechroot
fakechroot-libs.x86_64 : Libraries of fakechroot
fakechroot.x86_64 : Gives a fake chroot environment
schroot.x86_64 : Execute commands in a chroot environment
schroot-debugsource.x86_64 : Debug sources for package schroot
schroot-debuginfo.x86_64 : Debug information for package schroot
fakechroot-debugsource.i686 : Debug sources for package fakechroot
fakechroot-debugsource.x86_64 : Debug sources for package fakechroot
linux-user-chroot.x86_64 : Helper program for calling chroot(2) as non-root
fakechroot-libs-debuginfo.i686 : Debug information for package fakechroot-libs
fakechroot-libs-debuginfo.x86_64 : Debug information for package fakechroot-libs
linux-user-chroot-debugsource.x86_64 : Debug sources for package linux-user-chroot
linux-user-chroot-debuginfo.x86_64 : Debug information for package linux-user-chroot
bind-chroot.x86_64 : A chroot runtime environment for the ISC BIND DNS server, named(8)
bind-sdb-chroot.x86_64 : A chroot runtime environment for the ISC BIND DNS server, named-sdb(8)
==================================== Coincidencia en Resumen: chroot ====================================
mach.i686 : Make a chroot
mach.x86_64 : Make a chroot
mock.noarch : Builds packages inside chroots
mock-core-configs.noarch : Mock core config files basic chroots

I would have expected (and think it would be much more easy to read) if it were instead sorted alphabetically.

Thanks!

Comment 1 Jan Kurik 2018-08-14 10:01:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Jaroslav Mracek 2019-05-04 12:10:24 UTC
It looks like that the search is ordered not by length of message, but by percentage occurrence in text. I tested it with "dnf search a" and you can see the pattern. I believe that the current ordering system is more preferable, because more relevant information is on the top. Anyway thanks a lot for your report.

Comment 3 Robbie Harwood 2019-05-06 15:25:52 UTC
I think most users will find this behavior surprising and would expect it to be sorted alphabetically.

In particular, this is a behavior regression from `yum`, which absolutely sorted alphabetically.

It's also in direct contrast to what other distros do - e.g., `apt`.

Comment 4 Ben Cotton 2019-10-31 19:02:09 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-02-11 15:47:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Daniel Mach 2020-05-22 04:21:35 UTC
I believe this is fixed in following PR:
https://github.com/rpm-software-management/dnf/pull/1610

Comment 7 Daniel Mach 2020-05-22 04:29:41 UTC
*** Bug 1811461 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2020-06-03 08:55:00 UTC
FEDORA-2020-a943fde9ba has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a943fde9ba

Comment 9 Fedora Update System 2020-06-03 08:55:01 UTC
FEDORA-2020-f3f7292b39 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3f7292b39

Comment 10 Fedora Update System 2020-06-04 03:00:15 UTC
FEDORA-2020-f3f7292b39 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f3f7292b39`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3f7292b39

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-06-04 04:08:23 UTC
FEDORA-2020-a943fde9ba has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a943fde9ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a943fde9ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-05 02:29:45 UTC
FEDORA-2020-a943fde9ba has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-06-19 01:05:15 UTC
FEDORA-2020-f3f7292b39 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.